Std ViewDimetric: Difference between revisions

From FreeCAD Documentation
No edit summary
(Removed 'In Progress'.)
Line 1: Line 1:
<languages/>
<languages/>

{{Page in progress}}

<translate>
<translate>


Line 25: Line 22:


<!--T:3-->
<!--T:3-->
The '''Std ViewDimetric''' command realigns the camera in the active [[3D_view|3D view]] to obtain a [https://en.wikipedia.org/wiki/Axonometric_projection#Three_types dimetric] view. But the view will only be dimetric if it is in [[Std_OrthographicCamera|orthographic mode]].
The '''Std ViewDimetric''' command realigns the camera in the active [[3D_view|3D view]] to obtain a [https://en.wikipedia.org/wiki/Axonometric_projection#Three_types dimetric] view. For a truly dimetric view the 3D view must be in [[Std_OrthographicCamera|orthographic mode]], but the command also works if the view is in [[Std_PerspectiveCamera|perspective mode]].


</translate>
</translate>

Revision as of 10:04, 1 April 2020

Std ViewDimetric

Menu location
View → Standard views → Axonometric → Dimetric
Workbenches
All
Default shortcut
None
Introduced in version
-
See also
Std ViewIsometric, Std ViewTrimetric

Description

The Std ViewDimetric command realigns the camera in the active 3D view to obtain a dimetric view. For a truly dimetric view the 3D view must be in orthographic mode, but the command also works if the view is in perspective mode.

The axis cross and a cube in dimetric view

Usage

  1. Select the View → Standard views → Axonometric → Dimetric option from the menu.

Scripting

See also: FreeCAD Scripting Basics.

To change to dimetric view use the viewDimetric method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewDimetric()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()